Subject: Re: Merge seems to get confused by (reverted) cherry-picks

From: Mike Hommey <[email-masked]>
Date: Wed, 3 Sep 2008 19:10:29 +0200

On Wed, Sep 03, 2008 at 01:16:05PM +0200, Johan Herland wrote:
> On Wednesday 03 September 2008, Ittay Dror wrote:
> > Note: codeville tried to implement a merge algorithm that considers
> > the history to decide what the user wants to do:
> > http://revctrl.org/PreciseCodevilleMerge. Maybe worth while
> > exploring?
> 
> You haven't been here long, have you? ;)
> 
> There was an infamous mailing list discussion between Bram Cohen (who 
> created PreciseCodevilleMerge), and Linus Torvalds back in 2005, 
> discussing merge strategies. It is well recounted here:
> 
> http://wincent.com/a/about/wincent/weblog/archives/2007/07/a_look_back_bra.php

I quite agree with the footnote statement, except on one thing: it would
make it easier to have additional tools to help with such merge
resolutions automatically.

While resolving a rename/delete merge conflict is not a big deal,
resolving function moves from one file to another (possibly new) file is
another story.

Mike